> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/location/wisej.hybrid.shared.geolocation.geolocationrequest.md).

# GeolocationRequest

Namespace: **Wisej.Hybrid.Shared.Geolocation**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Represents the criteria for a location request.

{% tabs %}
{% tab title="C#" %}

```csharp
public class GeolocationRequest
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class GeolocationRequest
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/CCV9PPenlC1YZvNh1I6R)GeolocationRequest()

Initializes a new instance of the [GeolocationRequest](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.geolocationrequest.md) class with default options.

### ![](/files/CCV9PPenlC1YZvNh1I6R)GeolocationRequest(accuracy)

Initializes a new instance of the [GeolocationRequest](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.geolocationrequest.md) class with the specified accuracy.

| Name         | Type                                                                                                     | Description                                        |
| ------------ | -------------------------------------------------------------------------------------------------------- | -------------------------------------------------- |
| **accuracy** | [GeolocationAccuracy](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.geolocationaccuracy.md) | The desired accuracy for determining the location. |

### ![](/files/CCV9PPenlC1YZvNh1I6R)GeolocationRequest(accuracy, timeout)

Initializes a new instance of the [GeolocationRequest](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.geolocationrequest.md) class with the specified accuracy and timeout.

| Name         | Type                                                                                                     | Description                                                               |
| ------------ | -------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------- |
| **accuracy** | [GeolocationAccuracy](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.geolocationaccuracy.md) | The desired accuracy for determining the location.                        |
| **timeout**  | [TimeSpan](https://docs.microsoft.com/dotnet/api/system.timespan)                                        | A timeout value after which the location determination will be cancelled. |

## Properties

### ![](/files/CCV9PPenlC1YZvNh1I6R)DesiredAccuracy

[GeolocationAccuracy](/hybrid/start/api/location/wisej.hybrid.shared.geolocation.geolocationaccuracy.md): Gets or sets the desired accuracy of the resulting location.

### ![](/files/CCV9PPenlC1YZvNh1I6R)RequestFullAccuracy

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Gets or sets whether to request full permission to temporarily use location services with full accuracy.

This value is only used on iOS 14+. Using this functionality requires the NSLocationTemporaryUsageDescriptionDictionary key to be present in the info.plist file.

### ![](/files/CCV9PPenlC1YZvNh1I6R)Timeout

[TimeSpan](https://docs.microsoft.com/dotnet/api/system.timespan): Gets or sets the location request timeout.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/location/wisej.hybrid.shared.geolocation.geolocationrequest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
